Subject: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Sep 2022 20:43:19 +0300

> Cc: [email-masked]
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 14 Sep 2022 19:25:49 +0200
> 
> Paul Pogonyshev <[email-masked]> writes:
> 
> >> For instance, if the user hits `C-g' three times (and Emacs doesn't idle
> >> in between), then we disable font-lock in that buffer.
> >
> > That sounds much better. I know that `C-g' is what to press when Emacs
> > is stuck.
> 
> A single `C-g' wouldn't be quite the right thing, because the user may
> hit `C-g' by accident while font-lock happens to run (and it's not
> hanging), which is why I though a special key sequence like `C-g C-g
> C-g' might make sense.

I frequently find myself hitting C-g several times for reasons
unrelated to any infloop.

> > If I add `(setf max-redisplay-ticks 100)' right after entering
> > `buggy-mode', it seems to have some effect, but not exactly what I'd
> > hope on. I suggest you try and see for yourself, hard to describe
> > them.
> 
> Doesn't seem to have any effect here...

It shouldn't, because an infloop doesn't consume any "redisplay
ticks".